Updates are notified even when they are installed automatically

Bug #1592382 reported by Alberto Salvia Novella on 2016-06-14
92
This bug affects 15 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Unassigned
gnome-software (Ubuntu)
High
Unassigned
Xenial
High
Unassigned

Bug Description

HOW TO REPRODUCE:
1. Go to the "Software & Updates" application.
2. Go to the "Updates" tab.
3. Set the "automatically check for updates" option to "daily".
4. Set the "when there are security updates" option to "download and install automatically".
5. Set the "when there are other updates" option to "display weekly".

RESULT:
In a day there will be a bubble notification telling you there are important updates ready to be installed, but those are set to be installed automatically and the Update Manager won't show up.

RELEVANT DETAILS:
- The bubble can show up multiple times during the same user session.
- The bubble seems to belong to gnome-software, where the Software Updater should be the only application asking the user to upgrade.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: update-notifier 3.168
ProcVersionSignature: Ubuntu 4.4.0-24.43-generic 4.4.10
Uname: Linux 4.4.0-24-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: Unity
Date: Tue Jun 14 13:40:02 2016
InstallationDate: Installed on 2016-05-02 (42 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: update-notifier
UpgradeStatus: No upgrade log present (probably fresh install)

affects: update-notifier (Ubuntu) → gnome-software (Ubuntu)
summary: - New software updates are notified even when they are set to be installed
+ Updates are notified even when they are set to be installed
automatically
summary: - Updates are notified even when they are set to be installed
- automatically
+ Updates are notified even when they are installed automatically
Changed in hundredpapercuts:
importance: Undecided → High
Changed in update-notifier (Ubuntu):
status: New → Invalid
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
status: New → Invalid
no longer affects: update-notifier (Ubuntu)
no longer affects: unity (Ubuntu)
Changed in gnome-software (Ubuntu):
status: New → Triaged
Changed in hundredpapercuts:
status: New → Triaged
Changed in update-notifier (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in gnome-software (Ubuntu):
status: Triaged → Invalid
Changed in gnome-software (Ubuntu):
status: Invalid → In Progress
assignee: nobody → Alberto Salvia Novella (es20490446e)
Changed in update-notifier (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Alberto Salvia Novella (es20490446e)
Changed in gnome-software (Ubuntu):
assignee: Alberto Salvia Novella (es20490446e) → nobody
Changed in update-notifier (Ubuntu):
assignee: Alberto Salvia Novella (es20490446e) → nobody
Changed in gnome-software (Ubuntu):
status: In Progress → Triaged
Changed in update-notifier (Ubuntu):
status: In Progress → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1

---------------
gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Fix launching various KDE4 applications (LP: #1575529)
    - Guard against review server errors (LP: #1590508)
    - Fix a couple of CSS errors (LP: #1590508)
    - Fix conversion from star ratings (1-5) to G-S rating (0-100) (LP: #1581938)
    - Fix wilson score calulation (LP: #1581938)
    - Make the app folder dialog work again (LP: #1590115)
    - Remove broken symlink of xdg-app-reviews plugin (LP: #1573052)
    - Disable redundant notification (LP: #1592382)
    - Disable app folders feature when run outside GNOME (LP: #1590152)
  * Drop snap_mime_type.patch which is in this release.

 -- William Hua <email address hidden> Fri, 17 Jun 2016 09:47:49 +0100

Changed in gnome-software (Ubuntu):
status: Triaged → Fix Released
Jeremy Bicha (jbicha) wrote :

I'm closing the update-notifier task since this looks like it needs to be handled in gnome-software.

Changed in update-notifier (Ubuntu):
status: Triaged → Invalid
Changed in hundredpapercuts:
status: Triaged → Fix Released

Hello Alberto, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

no longer affects: update-notifier (Ubuntu)
no longer affects: update-notifier (Ubuntu Xenial)
Changed in gnome-software (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → High

I will test this for a week, and if the message doesn't show up then I will make a comment here.

Changed in gnome-software (Ubuntu Xenial):
assignee: nobody → Alberto Salvia Novella (es20490446e)
Changed in gnome-software (Ubuntu):
assignee: nobody → Alberto Salvia Novella (es20490446e)
Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → In Progress
Changed in gnome-software (Ubuntu):
status: Fix Released → In Progress
Changed in hundredpapercuts:
status: Fix Released → In Progress
assignee: nobody → Alberto Salvia Novella (es20490446e)
Michal Predotka (mpredotka) wrote :

I also tested this and for me it seems to be working properly. What's more important, the issue with notification displayed when connecting/disconnecting USB devices is fixed as well. Many thanks :)

Jeremy Bicha (jbicha) on 2016-06-28
tags: added: verification-done
removed: verification-needed

The fix worked for me too.

Changed in gnome-software (Ubuntu):
assignee: Alberto Salvia Novella (es20490446e) → nobody
Changed in gnome-software (Ubuntu Xenial):
assignee: Alberto Salvia Novella (es20490446e) → nobody
Changed in hundredpapercuts:
assignee: Alberto Salvia Novella (es20490446e) → nobody
Changed in gnome-software (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in gnome-software (Ubuntu):
status: In Progress → Fix Committed
Changed in hundredpapercuts:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1

---------------
gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04, with the world's longest version number.
  * Update Vcs-Bzr for the stable release

gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Fix launching various KDE4 applications (LP: #1575529)
    - Guard against review server errors (LP: #1590508)
    - Fix a couple of CSS errors (LP: #1590508)
    - Fix conversion from star ratings (1-5) to G-S rating (0-100) (LP: #1581938)
    - Fix wilson score calulation (LP: #1581938)
    - Make the app folder dialog work again (LP: #1590115)
    - Remove broken symlink of xdg-app-reviews plugin (LP: #1573052)
    - Disable redundant notification (LP: #1592382)
    - Disable app folders feature when run outside GNOME (LP: #1590152)
  * Drop snap_mime_type.patch which is in this release.

 -- Iain Lane <email address hidden> Fri, 17 Jun 2016 10:11:30 +0100

Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-software has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in gnome-software (Ubuntu):
status: Fix Committed → Fix Released
Changed in hundredpapercuts:
status: Fix Committed → Fix Released
Bruno Nova (brunonova) wrote :

"gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1)"
"Backport to 16.04, with the world's longest version number"

I didn't expect changelogs to be this funny.
I laughed for a few minutes... Thanks guys!

Renardo (renardo) wrote :

As far as I understand the fix is no longer "proposed" but released; but I still experience this phenomenon (bubble with “software updates available” but no reaction on clicks). On my system (Ubuntu 16.04, daily updates) it happened an hour ago. gnome-software/about says 3.20.1.

Looking through open windows I discovered an update manager, hidden behind other windows. So maybe it just was a wrong expectation of mine that clicking on the bubble would pop up update manager? Is the bubble just a sign to “look for update manager”?

Sorry if this sounds more like a question than a bug comment – at the moment I cannot tell the difference.

@ Renardo

That bug isn't the same as this one.

It's not fixed for me ... I still get "Software Update Available" notifications regularly every hour or so whether there is an update available or not. Often when I click install updates it will replay "The software on this computer is to to date". Only occasionally will it perform an actual update and install new software. Sometimes the notifier will reappear minutes after successfully competing an update.

@ Jonathan Lathrop

Using the Synaptic Package Manager, which version of gnome-software do you see you have installed?

Seth Arnold (seth-arnold) wrote :

Jonathan, have you restarted your session since installing this update?

thanks

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers